Package org.eclipse.core.databinding.property

## Interface IPropertyObservable<P extends IProperty>

Type Parameters:
  `P` - specific type of the value property being observed

All Superinterfaces:
  `IObserving`

    public interface IPropertyObservable<P extends IProperty>
    extends IObserving

Provides access to the details of property observables

Since:
  1.2

### Method Summary

All Methods Instance Methods Abstract Methods
`P` `getProperty()` Returns the property being observed

### Methods inherited from interface org.eclipse.core.databinding.observable.IObserving

`getObserved`

### Method Detail

#### getProperty

    P getProperty()

Returns the property being observed

Returns:
  the property being observed